curl --request POST \
--url https://api.x.com/2/users/{id}/muting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_user_id": "2244994945"
}
'import requests
url = "https://api.x.com/2/users/{id}/muting"
payload = { "target_user_id": "2244994945" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_user_id: '2244994945'})
};
fetch('https://api.x.com/2/users/{id}/muting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"muting": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Mettre un utilisateur en sourdine
Permet de mettre en sourdine un utilisateur spécifique authentifié, via son ID.
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’ID de l’utilisateur source authentifié qui demande à mettre en sourdine l’utilisateur cible. Identifiant unique de cet utilisateur. La valeur doit correspondre à celle de l’utilisateur authentifié.
"2244994945"
Corps
Identifiant unique de cet utilisateur. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les problèmes avec les langages et outils qui ne prennent pas en charge les entiers de grande taille.
^[0-9]{1,19}$"2244994945"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes